
     {*******************************************************************}
     {*                          TWOBRWIN.PAS                           *}
     {*                    Version 1.00 January 1993                    *}
     {*              Copyright (c) 1993 TurboPower Software             *}
     {*                                                                 *}
     {*                         By Lee Inman,                           *}
     {*                      TurboPower Software                        *}
     {*******************************************************************}

unit BrWinDat;
  {-Type and data definitions for the TwoBrWin demo program}

interface

uses
  WinTypes,
  Filer,
  IsamTool,
  LowBrows,        {Low level windows file browser unit}
  WBrowser;        {Windows file browser unit}

const
  id_CustNum       = 100;
  id_Last          = 101;
  id_First         = 102;
  id_Address       = 103;
  id_City          = 104;
  id_State         = 105;
  id_ZipCode       = 106;
  id_Phone         = 107;

  id_Product       = 101;
  id_Amount        = 102;
  id_Balance       = 103;

  idm_About        = 201;

  idm_CNew         = 202;
  idm_CDelete      = 203;
  idm_CSearch      = 204;
  idm_CEdit        = 205;
  idm_CStatus      = 207;

  idm_ONew         = 302;
  idm_ODelete      = 303;
  idm_OEdit        = 305;
  idm_OFilterOnOff = 306;
  idm_OStatus      = 307;

  idm_RandomData   = 350;

  cm_DblClkCust    = 401;
  cm_DblClkOrder   = 402;
  cm_UpdateOrders  = 403;
  cm_WindowTab     = 404;

  id_Icon          = 1;

  CustomerFBName   = 'BRWINCUS';
  OrderFBName      = 'BRWINORD';

  NumCustomerGen   = 10;  {Number of random customers to generate each time}
  NumOrderGen      = 5;   {Number of orders to generate for each customer}

type

  NetTypeRec =
    record
      NoNet        : Word;
      MsNet        : Word;
      Novell       : Word;
    end;

  CustomerRec =
    record
      CustNum      : array[0..5] of Char;
      LastName     : array[0..15] of Char;
      FirstName    : array[0..15] of Char;
      Address      : array[0..25] of Char;
      City         : array[0..20] of Char;
      State        : array[0..02] of Char;
      Zip          : array[0..10] of Char;
      Phone        : array[0..12] of Char;
    end;

  CustomerDef =
    record
      Deleted      : LongInt;
      Data         : CustomerRec;
    end;

  OrderRec =
    record
      CustNum      : array[0..5] of Char;
      Product      : array[0..25] of Char;
      Amount       : array[0..10] of Char;
      Balance      : array[0..10] of Char;
    end;

  OrderDef =
    record
      Deleted      : LongInt;
      Data         : OrderRec;
    end;

var
  Customer         : CustomerDef;
  CustomerHdr      : BRLRowEltString;
  CustomerFB       : IsamFileBlockPtr;

  Order            : OrderDef;
  OrderHdr         : BRLRowEltString;
  OrderFB          : IsamFileBlockPtr;

  CurrentCustomer  : CustomerRec;

  LockEnd          : Boolean;


implementation


end.

